Create room
curl --request POST \
--url https://api.noux.app/api/v1/room/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'authorization: <authorization>' \
--data '
{
"customerOrganizationName": "<string>",
"ownerEmail": "jsmith@example.com"
}
'const options = {
method: 'POST',
headers: {
authorization: '<authorization>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({customerOrganizationName: '<string>', ownerEmail: 'jsmith@example.com'})
};
fetch('https://api.noux.app/api/v1/room/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.noux.app/api/v1/room/create"
payload = {
"customerOrganizationName": "<string>",
"ownerEmail": "jsmith@example.com"
}
headers = {
"authorization": "<authorization>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"roomId": "<string>",
"editUrl": "<string>"
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}Rooms
Create room
Create a new Noux room. Authenticate using Bearer token with your Noux API key.
POST
/
api
/
v1
/
room
/
create
Create room
curl --request POST \
--url https://api.noux.app/api/v1/room/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'authorization: <authorization>' \
--data '
{
"customerOrganizationName": "<string>",
"ownerEmail": "jsmith@example.com"
}
'const options = {
method: 'POST',
headers: {
authorization: '<authorization>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({customerOrganizationName: '<string>', ownerEmail: 'jsmith@example.com'})
};
fetch('https://api.noux.app/api/v1/room/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.noux.app/api/v1/room/create"
payload = {
"customerOrganizationName": "<string>",
"ownerEmail": "jsmith@example.com"
}
headers = {
"authorization": "<authorization>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"roomId": "<string>",
"editUrl": "<string>"
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}Body
application/json